package net.sdls.barista.ve;

import java.awt.BorderLayout;
import javax.swing.JPanel;
import javax.swing.JFrame;
import javax.swing.JButton;
import java.awt.GridBagLayout;
import javax.swing.JLabel;
import java.awt.GridBagConstraints;
import java.awt.CardLayout;

public class CardLayoutFrame extends JFrame {

	private static final long serialVersionUID = 1L;

	private JPanel jContentPane = null;

	private JButton jButton = null;

	private JPanel jPanel = null;

	private JLabel label1 = null;

	private JLabel label2 = null;

	private JLabel label3 = null;

	private JLabel label4 = null;

	private CardLayout cardLayout = null;
	/**
	 * This is the default constructor
	 */
	public CardLayoutFrame() {
		super();
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(300, 200);
		this.setContentPane(getJContentPane());
		this.setTitle("JFrame");
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jContentPane = new JPanel();
			jContentPane.setLayout(new BorderLayout());
			jContentPane.add(getJButton(), BorderLayout.NORTH);
			jContentPane.add(getJPanel(), BorderLayout.CENTER);
		}
		return jContentPane;
	}

	/**
	 * This method initializes jButton	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJButton() {
		if (jButton == null) {
			jButton = new JButton();
			jButton.setText("ChangeCard");
			jButton.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					cardLayout.next(getJPanel());
				}
			});
		}
		return jButton;
	}

	/**
	 * This method initializes jPanel	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel() {
		if (jPanel == null) {
			label4 = new JLabel();
			label4.setText("Sڂ̃xł");
			label4.setName("label4");
			label3 = new JLabel();
			label3.setText("Rڂ̃xł");
			label3.setName("label3");
			label2 = new JLabel();
			label2.setText("Qڂ̃xł");
			label2.setName("label2");
			label1 = new JLabel();
			label1.setText("Pڂ̃xł");
			label1.setName("label1");
			jPanel = new JPanel();

			cardLayout = new CardLayout();
			jPanel.setLayout(cardLayout);
			jPanel.add(label1, label1.getName());
			jPanel.add(label2, label2.getName());
			jPanel.add(label3, label3.getName());
			jPanel.add(label4, label4.getName());
		}
		return jPanel;
	}

}
